
class TC_Info < Test::Unit::TestCase

    include P4RubyTest

    def name
	"Test 'p4 info'"
    end

    def test_p4_info
	assert( p4, "Failed to create Perforce client" )
	assert( p4.connect, "Failed to connect to Perforce server" )
	assert( p4.connected?, "Connection dropped" )

	info = p4.run_info
	assert( info.kind_of?( Array ), "P4#run_info didn't return an array" )

	info = info.shift
	assert( info.kind_of?( Hash ), "P4#run_info not in tagged mode?" )
	assert_equal( info[ 'serverRoot' ], server_root, "Incorrect server root" )
    end
end

